
a.darken {
    display: inline-block;
    background: black;
    padding: 0;
    position:relative;

}

a.darken img {
    display: block;

    -webkit-transition: all 0.2s linear;
       -moz-transition: all 0.2s linear;
        -ms-transition: all 0.2s linear;
         -o-transition: all 0.2s linear;
            transition: all 0.2s linear;
}

a.darken:hover:before{
  content: '';
  display: block;
  height: 0px;
  right: 1px;
  background: white;
}

a.darken:hover:after{
  content: '';
  display: block;
  position: absolute;
  height: 85%;
  width: 3px;
  bottom: 20px;
  right: 20px;
  background: white;
}

a.darken:hover img {
    opacity: 0.3;
}
a.darken span{
    visibility:hidden;
    font-size:16px;
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
      line-height: 100%;
}
a.darken:hover span{color:#fff; visibility:visible;
    -webkit-transition: all 0.2s linear;
       -moz-transition: all 0.2s linear;
        -ms-transition: all 0.2s linear;
         -o-transition: all 0.2s linear;
            transition: all 0.2s linear;
}
